Subject: Re: Mesa 3.0
From: "Suhaib M. Siddiqi" <[email-masked]>
To: "Daniel T. Stoelting" <[email-masked]>
Cc: <[email-masked]>
Date: Tue, 6 Apr 1999 07:16:44 -0400

> 
> Hello,
> 
> You state that the Mesa 3.0 port for Cygwin B-20.1 is available from
> http://www.i21.com/~tjump/files/index.html#cygwin32 (should be
> http://www.tertius.com/tjump/files/index.html now). However no binaries are
> posted. 

I was not aware of change in web address.  Sorry about it.  I will correct the link on my web pages.

I think you did not read Ted's web pages carefully.  Brian Kasper's binaries are
there:

mesa30.tar.bz2 (469 Kb)
glut37.tar.bz2 (159 Kb)
 Mesa 3.0 and GLUT 3.7 ported to Cygwin32 by Brian Kasper 

If you want to use repGL library, I would suggest you use Mesa 3.0.  I compiled repGL against Mesa 3.0.  

>I downloaded the mesa-3.1b1-tj2.tar.bz2 and tried to unsuccessfully
> compile. I got pretty far by using the make cygnus and then putting my
> wing32.dll
> where make could find it to get the wing32.a. 

Compiling Mesa with wing32.dll is not good.  The compiled binaries may give you problems later. If you intend to compile Mesa 3.1, use "Make gcc" option instead.  It will not use Wing32.dll.  If you compile Mesa 3.1 using Wing32.dll, your compiled libraries will have wgl instead of glx -- if you want wgl then why not use Ted's Makefiles to make Win32 native Mesa libraries. 

 I recommend you use Brian Kasper's  precompiled Mesa 3.0 binaries from http://www.tertius.com/tjump/files/index.html/mesa30.tar.bz2
and http://www.tertius.com/tjump/files/index/glut37.tar.bz2

>The compilation stopped when
> a file called matvec.c could not be found. 

Remove the matvec.c from the Makefile.  It is an old file which is no longer used but somehow reference to it is left in the Makefile -- as Brian Paul wrote me a month ago.  Mesa3d.org guys will correct this problem in the final release of Mesa 3.1.

Regards
Suhaib

>Are there are pointers you can
> give me to 
> get that tarball to compile? Thanks,
> 
> 
> 
> Daniel T. Stoelting
> e-mail: [email-masked]
> 
> 

--
Want to unsubscribe from this list?
Send a message to [email-masked]